/**
# Friction term : Darcy in saint venant

When the Reynolds number is high (>2000), the stream becomes
turbulent. In this case, the friction term can't be easily solved
analytically. Darcy and Weisbach found an empirical law describing
this term, it can be written in its full form as : 

$$ 
Cf = \frac{f}{8} \frac{q|q|}{h^2}, 
$$ 

where f is a free-parameter wich depends on the nature of the soil.
*/

// Darcy coefficient
double f = 0.5; 

event updatedarcy(i++){
  foreach(){
    if(h[] > dry){
      foreach_dimension()
	u.x[] /= 1 + dt*f*norm(u)/(8*h[]);
    }
  }
}
/**
## Link to the homepage
* [Homepage](http://basilisk.fr/sandbox/B-flood/Readme)
*/
